唯嘉利亚云安全 提供服务器维护、网站开发,网站安全运维,安全托管等服务!

Libmspack 缓冲区错误漏洞


文章来源:唯嘉利亚云安全   发布时间: 2019-09-18  已有 17 人 阅读

漏洞信息详情

Libmspack 缓冲区错误漏洞

漏洞简介

Libmspack是一款能够对CAB、CHM和HLP等格式文件进行压缩和解压的库。

Libmspack 0.9.1alpha版本中的’chmd_read_headers()‘函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/kyz/libmspack/commit/2f084136cfe0d05e5bf5703f3e83c6d955234b4d

受影响实体

    暂无


【版权声明】:除非注明,唯嘉利亚云安全文章均为原创,转载请以链接形式标明本文标题和地址
原文标题:Libmspack 缓冲区错误漏洞
原文地址:https://www.vgaliya.com/cve-9507.html


文章标签: